/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.samples.helloworld;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

import org.defne.owb.bindings.PojoExecutorProxy;
import org.defne.service.Message;
import org.defne.service.MessageFactory;
import org.defne.service.executor.IServiceExecutorProxy;

@Named
@RequestScoped
public class EchoBean {

    private @Inject @PojoExecutorProxy IServiceExecutorProxy pojoExecutor;
    
    private String message;
    
    private String echo;
    
    public EchoBean()
    {
	
    }
    
    public String echo()
    {
    	Message bag = MessageFactory.newMessage(IEchoService.SERVICE_NAME,IEchoService.EchoOperation.OPERATION_NAME);
    	bag.putMessageParameter(IEchoService.EchoOperation.INPUT.ECHO,echo);

    	bag = this.pojoExecutor.execute(bag);
    	this.message = bag.getMessageParameter(String.class, IEchoService.EchoOperation.OUTPUT.MESSAGE);    	
    	
    	return null;
    }

    public String getMessage()
    {
        return message;
    }

    public void setMessage(String message)
    {
        this.message = message;
    }

    public String getEcho()
    {
        return echo;
    }

    public void setEcho(String echo)
    {
        this.echo = echo;
    }
    
    

}
